<div class="row row-content">
    <div class="col-12">
        <h2>OUR SERVICES</h2>
    </div>
    <div class="col-4">
        <img src="./assets/img/servicess1.jpg" class="img-service">
        <div class="row row-card">
            <div class="col-12">
                <p>Engineering techniques & implementation</p>
            </div>

            <div class="col-12">
                <button class="btn read-more">Read More</button>
            </div>
        </div>
    </div>

    <div class="col-4">
        <img src="./assets/img/servicess2_1.jpg" class="img-service">
        <div class="row row-card">
            <div class="col-12">
                <p>Engineering techniques & implementation</p>
            </div>

            <div class="col-12">
                <button class="btn read-more">Read More</button>
            </div>
        </div>
    </div>    

    <div class="col-4">
        <img src="./assets/img/servicess3_1.jpg" class="img-service">
        <div class="row row-card">
            <div class="col-12">
                <p>Engineering techniques & implementation</p>
            </div>

            <div class="col-12">
                <button class="btn read-more">Read More</button>
            </div>
        </div>
    </div>
</div>

<div class="row row-who">
    <div class="col-6 who-text">
        <h1>WHO WHE ARE</h1>
        
        <p><b> Mollit anim laborum duis au dolor in voluptcate velit ess cillum
        dolore eu lore dsu quality mollit anim laborumuis au dolor in
        voluptate velit cillu.</b></p>

        <p>Mollit anim laborum.Dvcuis aute iruxvfg dhjkolohr in re voluptate velit
        esscillumlore eu quife nrulla parihatur. Excghcepteur sfwsignjnt occa
        cupidatat non aute iruxvfg dhjinulpadeserunt mollitemnth incididbnt
        ut;o5tu layjobore mofllit anim.</p>  
        
        <button class="btn btn-orange">Read More</button>
    </div>

    <div class="col-6 no-padding">
        <img src="./assets/img/safe_in.png" class="safe-img">
        <div class="row">
            <div class="col-2 blue-card">
                <p>1994</p>
                <p>Since</p>
            </div>
        </div>
    </div>
</div>

<div class="row row-space">
    <div class="col-6 our-text">
        <h3>OUR PROJECTS</h3>
    </div>

    <div class="col-6 menu-our">
        <button class="btn btn-filter" (click)="showAll()" [ngClass]="{'option-active': showAllType }">Show All</button>
        <button class="btn btn-filter" (click)="showIntorior()" [ngClass]="{'option-active': showType === 'intorior' }">Intorior</button>
        <button class="btn btn-filter" (click)="showRecent()" [ngClass]="{'option-active': showType === 'recent' }">Recent</button>
        <button class="btn btn-filter" (click)="showBigBuilding()" [ngClass]="{'option-active': showType === 'bigBuilding' }">Big building</button>
        <button class="btn btn-filter" (click)="showPark()" [ngClass]="{'option-active': showType === 'park' }">Park</button>
    </div>
</div>    

<div class="row row-space" *ngIf="!showAllType">
    <div class="col-4" *ngFor="let building of buildings">
        <div class="row" *ngIf="this.building.type === showType">
            <img [src]="building.img" class="img-project">
                <p>{{ building.name }}</p>  
        </div>
    </div>
</div>

<div class="row" *ngIf="showAllType">
    <div class="col-4 img-space" *ngFor="let building of buildings">
        <div class="row">
            <img [src]="building.img" class="img-project">
                <p class="edificio-name">{{ building.name }}</p>   
        </div>
    </div> 
</div>        
